Interface DebeziumMySqlEndpointBuilderFactory.DebeziumMySqlBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- DebeziumMySqlEndpointBuilderFactory
public static interface DebeziumMySqlEndpointBuilderFactory.DebeziumMySqlBuilders
-
Method Summary
Modifier and TypeMethodDescriptionDebezium MySQL Connector (camel-debezium-mysql) Capture changes from a MySQL database.debeziumMysql(String path) Debezium MySQL Connector (camel-debezium-mysql) Capture changes from a MySQL database.debeziumMysql(String componentName, String path) Debezium MySQL Connector (camel-debezium-mysql) Capture changes from a MySQL database.
-
Method Details
-
debeziumMysql
Debezium MySQL Connector (camel-debezium-mysql) Capture changes from a MySQL database. Category: database Since: 3.0 Maven coordinates: org.apache.camel:camel-debezium-mysql- Returns:
- the dsl builder for the headers' name.
-
debeziumMysql
Debezium MySQL Connector (camel-debezium-mysql) Capture changes from a MySQL database. Category: database Since: 3.0 Maven coordinates: org.apache.camel:camel-debezium-mysql Syntax:debezium-mysql:namePath parameter: name (required) Unique name for the connector. Attempting to register again with the same name will fail.- Parameters:
path- name- Returns:
- the dsl builder
-
debeziumMysql
default DebeziumMySqlEndpointBuilderFactory.DebeziumMySqlEndpointBuilder debeziumMysql(String componentName, String path) Debezium MySQL Connector (camel-debezium-mysql) Capture changes from a MySQL database. Category: database Since: 3.0 Maven coordinates: org.apache.camel:camel-debezium-mysql Syntax:debezium-mysql:namePath parameter: name (required) Unique name for the connector. Attempting to register again with the same name will fail.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- name- Returns:
- the dsl builder
-